summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Mauro Giachero <mauro.giachero@gmail.com>2010-05-11 20:00:02 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:02 +0200
commitb0c36120d7e7c3a5601a5f7797f4d4dccef08b0a (patch)
treecf3795dfc97ac2653bb89a968ba3ac753beb16b9 /academic
parent0d7ebf8a38f6361661616cba5d1a64ef814137e7 (diff)
downloadslackbuilds-b0c36120d7e7c3a5601a5f7797f4d4dccef08b0a.tar.gz
slackbuilds-b0c36120d7e7c3a5601a5f7797f4d4dccef08b0a.tar.xz
academic/qtoctave: Added to 12.0 repository
Diffstat (limited to 'academic')
-rw-r--r--academic/qtoctave/README7
-rw-r--r--academic/qtoctave/octave-sombrero.pngbin0 -> 23362 bytes
-rw-r--r--academic/qtoctave/qtoctave.SlackBuild74
-rw-r--r--academic/qtoctave/qtoctave.desktop10
-rw-r--r--academic/qtoctave/qtoctave.info8
-rw-r--r--academic/qtoctave/slack-desc19
6 files changed, 118 insertions, 0 deletions
diff --git a/academic/qtoctave/README b/academic/qtoctave/README
new file mode 100644
index 0000000000..8a655952a2
--- /dev/null
+++ b/academic/qtoctave/README
@@ -0,0 +1,7 @@
+QtOctave is a graphical user interface for gnu octave, which is an
+open source program alternative to Matlab.
+
+QtOctave requires Octave and Qt4, both available on SlackBuilds.org.
+
+If you build on a multicore system, add JOBS={#} to enable parallel
+compilation, as in: JOBS=4 ./qtoctave.SlackBuild
diff --git a/academic/qtoctave/octave-sombrero.png b/academic/qtoctave/octave-sombrero.png
new file mode 100644
index 0000000000..e18557cc9e
--- /dev/null
+++ b/academic/qtoctave/octave-sombrero.png
Binary files differ
diff --git a/academic/qtoctave/qtoctave.SlackBuild b/academic/qtoctave/qtoctave.SlackBuild
new file mode 100644
index 0000000000..c24da4b848
--- /dev/null
+++ b/academic/qtoctave/qtoctave.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for QtOctave
+
+# Written by Mauro Giachero (mauro dot giachero at gmail dot com)
+
+PRGNAM=qtoctave
+VERSION=${VERSION:-0.7.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+JOBS=${JOBS:-3}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+chmod a+x configure
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --qtdir=/usr/lib/qt4
+
+make -j$JOBS
+make install INSTALL_ROOT=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# The "doc" folder contains developer-oriented documentation, while (qt)octave-doc contain
+# user-oriented docs.
+cp -a $PRGNAM/doc LEEME.txt NEWS.txt LICENSE_GPL.txt README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+ln -s /usr/share/$PRGNAM/qtoctave-doc $PKG/usr/doc/$PRGNAM-$VERSION/qtoctave-doc
+ln -s /usr/share/$PRGNAM/octave-doc $PKG/usr/doc/$PRGNAM-$VERSION/octave-doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# QtOctave doesn't have a nice icon for menus, so we use the Octave icon
+cp $CWD/octave-sombrero.png $PKG/usr/share/qtoctave/images
+mkdir -p $PKG/usr/share/applications
+cp $CWD/qtoctave.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/qtoctave/qtoctave.desktop b/academic/qtoctave/qtoctave.desktop
new file mode 100644
index 0000000000..8f0bf21c2e
--- /dev/null
+++ b/academic/qtoctave/qtoctave.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=QtOctave
+Comment=Scientific Computing using GNU Octave
+Exec=/usr/bin/qtoctave
+Icon=/usr/share/qtoctave/images/octave-sombrero.png
+Terminal=false
+Type=Application
+Categories=Development;Math;Science;
+StartupNotify=true
diff --git a/academic/qtoctave/qtoctave.info b/academic/qtoctave/qtoctave.info
new file mode 100644
index 0000000000..2cd40018dd
--- /dev/null
+++ b/academic/qtoctave/qtoctave.info
@@ -0,0 +1,8 @@
+PRGNAM="qtoctave"
+VERSION="0.7.1"
+HOMEPAGE="http://qtoctave.wordpress.com/"
+DOWNLOAD="https://forja.rediris.es/frs/download.php/490/qtoctave-0.7.1.tar.gz"
+MD5SUM="c6dd28bd08d13803636c1eb08eb35930"
+MAINTAINER="Mauro Giachero"
+EMAIL="mauro.giachero@gmail.com"
+APPROVED="rworkman"
diff --git a/academic/qtoctave/slack-desc b/academic/qtoctave/slack-desc
new file mode 100644
index 0000000000..828453fa12
--- /dev/null
+++ b/academic/qtoctave/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qtoctave: QtOctave (a qt-based gui for Octave)
+qtoctave:
+qtoctave: QtOctave is a graphical user interface for gnu octave, which is an
+qtoctave: open source program alternative to Matlab. With QtOctave you can do
+qtoctave: perform computationally intensive mathematical tasks that would take
+qtoctave: much longer to code in C or C++ or practically any other modern
+qtoctave: computer language. It is especailly good at matrix and vector
+qtoctave: operations. The graphical capabilities are very advanced. It is
+qtoctave: used heavily in engineering, and is a tool well worth learning.
+qtoctave:
+qtoctave: